Underc0de - Hacking y seguridad informática

Foros Generales => Dudas y pedidos generales => Mensaje iniciado por: fleshworm en Abril 29, 2016, 06:09:55 pm

Título: [DUDA] Duda sobre la liabilidad de PHP
Publicado por: fleshworm en Abril 29, 2016, 06:09:55 pm
Saludos, pregunto es mi falta de actualisacion o probres conceptos sobre el consumo de electronicos pero ahora en PHP7 hay que pagar una subscripcion con MS Visual Studio o adquirirlo de un proveedor para poder utilizar los componentes bajo el VC9/VC11/VC14 y en el PHP5++ mismo en su totalidad?

PD: De esto ser sierto y no haber alguna distro de Visual Studio habierta para el publico en general podrian recomendarme algun Setup (Server, IDE y Framework) para JavaScript o algun lenguage de baja escala para web scripting?
Título: Re:[DUDA] Duda sobre la liabilidad de PHP
Publicado por: seth en Mayo 06, 2016, 07:43:25 pm
No entendi que quisiste decir.

Yo programo en php con sublime o komodo
Título: Re:[DUDA] Duda sobre la liabilidad de PHP
Publicado por: fleshworm en Mayo 06, 2016, 09:29:38 pm
Saludos, siniestramente pude entrar, men comento por que hasta donde alcanse escuchar mientras cursaba un grado technico de publicidad y diseño, PHP habria omitido una version (PHP 6) por cambios mayores a la infraestructura del compilador y servicios. Me tomo un momento y pienso genial haora PHP se podra escribir de forma estructurada en Visual Studio pero al final me comienzo a introducir en la escena del desarrollo web y escripting nuevamente y los servicios de WAMP tienen unos casi dos años en PHP5.6 y no an actualizado los mismos ademas PHP ya no ofrece un installador para systemas DDoS compatibles y no tuve otra opcion que aventurarme a descargar una version de compilacion de PHP7 o un distro en .zip para intentar utilizarlo como variable de systema y sumergirme en ver como hecharlo a andar con Apache 2.2 por que tampoco he podido encontrar un instalador para el Apache2.4 que comentan en la red.

PD: Apesar de todo logre hechar a andar PHP7 como variable de systema y arrancar el WEB Server Integrado sin queja. Aun asi espero poder hecharlo a andar con este misterioso Apache24 que comentan en la red ye que de esta manera comenze en el diseño web, de estar haciendolo mal apreciaria me recomendaran alguna configuracion para poder implementar.

DA: Lo que comento es devido a que PHP comprendia un lenguage de desarrollador para servicios back-end y con tanto complemento lo han ido por una o por la otra privatisando como hizo Micro Soft con Visual Studio y curiosamente las distro del Compilador que utiliza ahora PHP bajo plataformas Win32 (VC14). Si uno no tiene este componente tiene que refugiarse en la idea de que todos los systemas tienen que ser orientados al usuario y comprender los servicios ofrecidos por compañias mas jovenes.